> ## Documentation Index > Fetch the complete documentation index at: https://docs.retailvista.net/llms.txt > Use this file to discover all available pages before exploring further. # /v26.4/CashFlows ## OpenAPI ````json GET /v26.4/CashFlows { "openapi": "3.0.1", "info": { "title": "NedFox Retail3000 Core", "description": "This page documents the NedFox Retail3000 Core REST API", "version": "26.4" }, "paths": { "/v26.4/CashFlows": { "get": { "tags": [ "CashFlows" ], "parameters": [ { "name": "ItemIdFrom", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "ItemIdTo", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "PreviousDateTo", "in": "query", "schema": { "type": "string", "format": "date-time" } }, { "name": "StoreId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "UserId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "PosTerminalId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "ReceiptId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "CustomerId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "DebtorId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "InvoiceId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "CashSaleRowId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "CashFlowType", "in": "query", "schema": { "$ref": "#/components/schemas/CashFlowType" } }, { "name": "TransactionNumber", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "TransactionDateFrom", "in": "query", "schema": { "type": "string", "format": "date-time" } }, { "name": "TransactionDateTo", "in": "query", "schema": { "type": "string", "format": "date-time" } }, { "name": "ConversionId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "IncludeItemId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "ExcludeItemId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "OrderBy", "in": "query", "schema": { "type": "string" } }, { "name": "ModifiedSinceDateTime", "in": "query", "schema": { "type": "string", "format": "date-time" } } ], "responses": { "200": { "description": "Success", "content": { "text/plain": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/ViewCashFlowDTO" } } }, "application/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/ViewCashFlowDTO" } } }, "text/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/ViewCashFlowDTO" } } } } }, "401": { "description": "Unauthorized", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } }, "403": { "description": "Forbidden", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } }, "404": { "description": "Not Found", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } } } } } }, "components": { "schemas": { "CashFlowType": { "enum": [ "NotSpecified", "Counting", "CashToSafe", "Costs", "PaidInvoice", "PrePayment", "CashDeposit", "EftProcessing", "OpenCashDrawer" ], "type": "string" }, "ViewCashFlowDTO": { "type": "object", "properties": { "itemId": { "type": "integer", "format": "int32", "nullable": true }, "createdByUserId": { "type": "integer", "format": "int32", "nullable": true }, "createdDateTime": { "type": "string", "format": "date-time" }, "lastModifiedByUserId": { "type": "integer", "format": "int32", "nullable": true }, "lastModifiedDateTime": { "type": "string", "format": "date-time" }, "companyId": { "type": "integer", "format": "int32", "nullable": true }, "storeId": { "type": "integer", "format": "int32", "nullable": true }, "posTerminalId": { "type": "integer", "format": "int32", "nullable": true }, "userId": { "type": "integer", "format": "int32", "nullable": true }, "receiptId": { "type": "integer", "format": "int32", "nullable": true }, "paymentTypeId": { "type": "integer", "format": "int32", "nullable": true }, "expenseTypeId": { "type": "integer", "format": "int32", "nullable": true }, "customerId": { "type": "integer", "format": "int32", "nullable": true }, "debtorId": { "type": "integer", "format": "int32", "nullable": true }, "invoiceId": { "type": "integer", "format": "int32", "nullable": true }, "cashSaleRowId": { "type": "integer", "format": "int32", "nullable": true }, "ledgerId": { "type": "integer", "format": "int32", "nullable": true }, "description": { "type": "string", "nullable": true }, "cashFlowType": { "$ref": "#/components/schemas/CashFlowType" }, "price": { "type": "number", "format": "double", "nullable": true }, "transactionNumber": { "type": "integer", "format": "int32", "nullable": true }, "transactionDateTime": { "type": "string", "format": "date-time", "nullable": true }, "conversionId": { "type": "integer", "format": "int32", "nullable": true }, "receiptNumber": { "type": "integer", "format": "int32", "nullable": true }, "userLoginName": { "type": "string", "nullable": true }, "userFullName": { "type": "string", "nullable": true }, "customerGeneralName": { "type": "string", "nullable": true }, "debtorGeneralName": { "type": "string", "nullable": true }, "invoiceNumber": { "type": "integer", "format": "int32", "nullable": true } }, "additionalProperties": false }, "ExceptionInfo": { "type": "object", "properties": { "type": { "type": "string", "nullable": true }, "message": { "type": "string", "nullable": true }, "stackTrace": { "type": "string", "nullable": true } }, "additionalProperties": false } } } } ````